The BOOST_PP_SEQ_CAT_S macro concatenates all elements in a seq. It reenters BOOST_PP_SEQ_FOLD_LEFT with maximum efficiency.

#### Usage

BOOST_PP_SEQ_CAT_S(s, list)

#### Arguments

s
  The next available BOOST_PP_SEQ_FOLD_LEFT fold step.
seq
  The seq whose elements are to be concatenated.

#### Remarks

Elements are concatenated left-to-right starting with index 0.

#### See Also

- BOOST_PP_SEQ_CAT

#### Requirements

Header: <boost/preprocessor/seq/cat.hpp>